Skip to main content
`Ctrl`+`K`

# MatSTRUMPACKGetGPU

Get whether STRUMPACK https://portal.nersc.gov/project/sparse/strumpack/master will try to use GPU acceleration (not supported for all compression types)

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatSTRUMPACKGetGPU(Mat F, PetscBool *gpu)

Logically Collective

## Input Parameters

- F - the factored matrix obtained by calling `MatGetFactor()` from PETSc-STRUMPACK interface

## Output Parameter

- gpu - whether or not STRUMPACK will try to use GPU acceleration

## See Also

`MATSOLVERSTRUMPACK`, `MatGetFactor()`, `MatSTRUMPACKSetGPU()`

## Level

intermediate

## Location

src/mat/impls/aij/mpi/strumpack/strumpack.c

## Implementations

MatSTRUMPACKGetGPU_STRUMPACK() in src/mat/impls/aij/mpi/strumpack/strumpack.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages